#! /usr/bin/python2
""" HW2.py: TCP client program
Using Python version 2.7.9"""
__author__ = "John Adams"
__email__ = "jadams@unca.edu"
__date__ = "8 Feb. 2014"

import socket

PORT = 3630
MONTREAT = "montreat.cs.unca.edu"

def main():
    """ Connect to socket with right host and port """
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    host = socket.gethostbyname(MONTREAT)
    sock.connect((host, PORT))
    print("Connected to {0} at port {1}".format(host, PORT))
    infile = sock.makefile('r')
    try:
        """input loop"""
        data = readentireline(infile)
        print("Input: " + data)
        numhash = data.count("#")
        print("It has {0} #s".format(numhash))
        """send answer to the server"""
        sock.sendall("{0}\r\n".format(numhash))
        """see if we got the answer correct"""
        data = readentireline(infile)
        check = data.find("YES")
        if check == -1:
            print("Oops there was an error")
        else:
            print("I got it right!!")
    except Error:
        status = False
        print("ERROR:")
    infile.close()
    sock.close()

"""Makes sure to read all the way up to \r\n"""
def readentireline(infile):
    data = ""
    while 1:
        data = data + infile.readline()
        check = data.find("\r\n")
        if check == -1:
            """more to be read"""
        else:
            """done reading in"""
            break
    return data

if __name__ == "__main__":
    main()
